$(function () {
    var url = Dec.fineServletURL + "/url/jsdidig/oauth/config";
    $.post(url,
        function (data, status) {
            if (status == "success") {
                //debugger;
                var logoutUrl = data.logoutUrl;
                var oAuthLoginUrl = data.oAuthLoginUrl;

                Dec.Logout = function () {
                    Dec.Utils.logout(function (e) {
                        Dec.Utils.clearLoginToken();
                        window.location.href = oAuthLoginUrl;
                    })
                }

                var a = Dec.Logout;

                Dec.Logout = function () {
                    window.location.href = logoutUrl;
                    //$.get(logoutUrl);
                    a();
                }

                var globalService = BI.Services.getService("dec.service.global");
                globalService.loginKick = function (e, t) {
                    var loginTimeoutFlag = false;
                    if (e == "21300014") {
                        loginTimeoutFlag = true;
                    }
                    var i = "login.timeout"
                        , n = t || "Dec-Login_Info_Not_Available";
                    switch (e) {
                        case DecCst.ErrorCode.USERNAME_UNAVAILABLE:
                        case DecCst.ErrorCode.USERNAME_NOT_EXITS:
                        case DecCst.ErrorCode.PLATFORM_USER_REMOVE:
                            n = "Dec-Login_Account_Not_Available";
                            break;
                        case DecCst.ErrorCode.SINGLE_LOGIN_KICK:
                            n = "Dec-Login_Single_Logged_Tip";
                            break;
                        case DecCst.ErrorCode.USERNAME_PASSWORD_ERROR:
                            n = "Dec-Login_Password_Changed"
                    }
                    BI.isNotNull(Dec.socket) && Dec.socket.disconnect(),
                        BI.Popovers.create(i, {
                            header: BI.i18nText("BI-Basic_Prompt"),
                            size: "small",
                            closable: !1,
                            body: {
                                type: "bi.label",
                                whiteSpace: "normal",
                                text: BI.i18nText(n)
                            },
                            footer: {
                                type: "bi.right_vertical_adapt",
                                items: [{
                                    type: "bi.button",
                                    $testId: "dec-login-kick-btn",
                                    text: BI.i18nText("BI-Basic_OK"),
                                    height: 24,
                                    handler: function () {
                                        BI.Popovers.remove(i);
                                        if (loginTimeoutFlag) {
                                            window.location.href = oAuthLoginUrl;
                                            return;
                                        }
                                        window.location.reload(!0);
                                    }
                                }]
                            }
                        }, this).open(i)
                };

            }
        }, "json");


});